package syncloud.synchronization;

import org.syncloud.facade.CoreFactory;
import syncloud.dao.IStateDao;

public class SyncFactory {

    private final SynchronizationService service;

    public SyncFactory(CoreFactory coreFactory, IStateDao stateDao){

        SyncRecord syncRecord = new SyncRecord(stateDao);

        Synchronization synchronization = new Synchronization(
                coreFactory.getSyncDao(),
                coreFactory.getStorageManager(),
                syncRecord,
                coreFactory.getAccountsDao());

        service = new SynchronizationService(
                synchronization,
                coreFactory.getConfiguration().getConfig().getSyncPeriod());

    }

    public SynchronizationService getService() {
        return service;
    }
}
