package syncloud.synchronization.nodes;

import syncloud.synchronization.ISynchronizer;
import syncloud.storage.IFile;
import syncloud.storage.IFolder;
import syncloud.storage.INode;

import java.util.List;

public class SyncBundleFactory {
    public static ISyncBundle create(ISynchronizer sync, List<SyncNode> syncNodes) {
        for (SyncNode syncNode: syncNodes) {
            INode node = syncNode.getNode();
            if (node != null) {
                if (node instanceof IFolder) return new FoldersSyncBundle(sync, syncNodes);
                if (node instanceof IFile) return new FilesSyncBundle(sync, syncNodes);
            }
        }
        return null;
    }
}
